using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Controls;
using Autofac;
using Ion.Sdk.DemoApp.Framework;

namespace Ion.Sdk.DemoApp.BlackBox
{
    public class Module : Autofac.Module
    {
        protected override void Load(ContainerBuilder builder)
        {
            // register views
            builder.RegisterInstance(Views.BlackBox.ViewInfo).As<IAppViewInfo>().SingleInstance();

            builder.RegisterType<Views.BlackBox>().Named<IAppView>(Views.BlackBox.ViewInfo.Id)
                                                  .SingleInstance();


        }
    }
}
